ssl_cert_flags.h File Reference

Go to the source code of this file.

## Macros

#define | GWEN_SSL_CERT_FLAGS_BAD_DATA 0x00000040
#define | GWEN_SSL_CERT_FLAGS_BAD_HOSTNAME 0x00000020
#define | GWEN_SSL_CERT_FLAGS_EXPIRED 0x00000008
#define | GWEN_SSL_CERT_FLAGS_INVALID 0x00000002
#define | GWEN_SSL_CERT_FLAGS_NOT_ACTIVE 0x00000010
#define | GWEN_SSL_CERT_FLAGS_OK 0x80000000
#define | GWEN_SSL_CERT_FLAGS_REVOKED 0x00000004
#define | GWEN_SSL_CERT_FLAGS_SIGNER_NOT_FOUND 0x00000001
#define | GWEN_SSL_CERT_FLAGS_SYSTEM 0x00000080

## Macro Definition Documentation

## GWEN_SSL_CERT_FLAGS_BAD_DATA

#define GWEN_SSL_CERT_FLAGS_BAD_DATA 0x00000040

Definition at line 21 of file ssl_cert_flags.h.

## GWEN_SSL_CERT_FLAGS_BAD_HOSTNAME

#define GWEN_SSL_CERT_FLAGS_BAD_HOSTNAME 0x00000020

Definition at line 20 of file ssl_cert_flags.h.

## GWEN_SSL_CERT_FLAGS_EXPIRED

#define GWEN_SSL_CERT_FLAGS_EXPIRED 0x00000008

Definition at line 18 of file ssl_cert_flags.h.

## GWEN_SSL_CERT_FLAGS_INVALID

#define GWEN_SSL_CERT_FLAGS_INVALID 0x00000002

Definition at line 16 of file ssl_cert_flags.h.

## GWEN_SSL_CERT_FLAGS_NOT_ACTIVE

#define GWEN_SSL_CERT_FLAGS_NOT_ACTIVE 0x00000010

Definition at line 19 of file ssl_cert_flags.h.

## GWEN_SSL_CERT_FLAGS_OK

#define GWEN_SSL_CERT_FLAGS_OK 0x80000000

Definition at line 23 of file ssl_cert_flags.h.

## GWEN_SSL_CERT_FLAGS_REVOKED

#define GWEN_SSL_CERT_FLAGS_REVOKED 0x00000004

Definition at line 17 of file ssl_cert_flags.h.

## GWEN_SSL_CERT_FLAGS_SIGNER_NOT_FOUND

#define GWEN_SSL_CERT_FLAGS_SIGNER_NOT_FOUND 0x00000001

Definition at line 15 of file ssl_cert_flags.h.

## GWEN_SSL_CERT_FLAGS_SYSTEM

#define GWEN_SSL_CERT_FLAGS_SYSTEM 0x00000080

Definition at line 22 of file ssl_cert_flags.h.